package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJceb;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author zhaomn
 */
@Mapper
@Repository
public interface BusJcebMapper<T extends BusJceb> {

  /**
   * 删除
   */
  int delete(@Param("id") String id);

  /**
   * 更新状态
   *
   * @return 提交结果
   */
  int update(T t);

  /**
   * 查询列表
   */
  Page<JcebRecordVo> getListByType(JcebQueryVo query);

  /**
   * 查询汇总列表
   */
  JcebCountVo getCountByType(JcebQueryVo query);

  /**
   * 新增
   */
  int insert(T t);

  /**
   * 获取单个
   */
  T getInfo(@Param("id") String id);

  /**
   * 查询列表
   */
  Page<T> getJcebList(JcebQueryVo query);

  /**
   * 查询列表
   */
  Page<T> getList(T t);

}
